package info.bukova.isspst.ui.main.approved;

import info.bukova.isspst.data.JoinedItem;
import info.bukova.isspst.filters.JoinedItemFilter;
import info.bukova.isspst.services.approved.ApprovedService;
import info.bukova.isspst.ui.BigDecimalConverter;
import info.bukova.isspst.ui.ListViewModel;

import java.util.List;

import org.zkoss.bind.annotation.Init;
import org.zkoss.zk.ui.select.annotation.WireVariable;

public class ApprovedList extends ListViewModel<JoinedItem>
{
	@WireVariable
	protected ApprovedService approvedService;

	private BigDecimalConverter bigDecimalConverter;

	@Init
	public void initApprovedList()
	{
		service = approvedService;
		dataClass = JoinedItem.class;
		// formZul = "form.zul";
		dataFilter = new JoinedItemFilter(getFilterTemplate());
		bigDecimalConverter = new BigDecimalConverter();
	}

	public BigDecimalConverter getBigDecimalConverter()
	{
		return bigDecimalConverter;
	}

	public List<JoinedItem> getItems()
	{
		return approvedService.getAll();
	}
}
